package au.id.rupert.chauffeurs_name_board;

// Save name as a preference
// Turning this into a Big Button to replace au.id.rupert.chauffeurs_name_board
// Used code from http://stackoverflow.com/questions/6054918/keyevent-keycode-enter-how-to-raise to catch the done key press
// I had to remove android:imeOptions="actionDone" from the screen2.xml file

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnKeyListener;
import android.widget.EditText;
import android.content.SharedPreferences;

public class Configuration extends Activity {
    /** Called when the activity is first created. */
	
	// set up SharedPreferences
    private SharedPreferences prefs;
    private static final String NAME_KEY = "strName";
    private String prefName = "MyPref";
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen2);
    
        
        // ***
        // To catch the done button I had to remove 		    		
        // android:imeOptions="actionDone" 
        // from the scren2.xml file
        EditText editText = (EditText) findViewById(R.id.client_Name);
        editText.setOnKeyListener(new OnKeyListener() {

            public boolean onKey(View v, int keyCode, KeyEvent event) {

                switch(keyCode) {
                case KeyEvent.KEYCODE_ENTER:
                // Toast.makeText(getApplicationContext(), "Done", Toast.LENGTH_LONG).show();
                
                // Done button pressed
                //---get the SharedPreferences object---
				prefs = getSharedPreferences(prefName, MODE_PRIVATE);
            	SharedPreferences.Editor editor = prefs.edit();
            	
				// Save values when the close button is pressed
                EditText strName = (EditText) findViewById(R.id.client_Name);
             
                //---save the values in the EditText view to preferences---    
                editor.putString(NAME_KEY, strName.getText().toString());  
                // Toast.makeText(getApplicationContext(), "the Name is: " + strName.getText().toString(), Toast.LENGTH_LONG).show();

                //---saves the values---
                editor.commit();       
                // Toast.makeText(getApplicationContext(), prefs.getString(NAME_KEY, "") + " Saved PoneNumber key", Toast.LENGTH_LONG).show();
                
                //Closing SecondScreen Activity
				finish();
				
				
              break;
          default:
          return false;
    }

    return true;

            }
        });
        
        //***
        
        // Read the stored preferences
        EditText strName = (EditText) findViewById(R.id.client_Name);
        
        // ----------------- Simulate screen press on ExitText to bring up a soft keyboard
        // http://stackoverflow.com/questions/5105354/how-to-show-soft-keyboard-when-edittext-is-focused
        (new Handler()).postDelayed(new Runnable() {

            public void run() {
                EditText yourEditText= (EditText) findViewById(R.id.client_Name);
                yourEditText.dispatchTouchEvent(MotionEvent.obtain(SystemClock.uptimeMillis(), SystemClock.uptimeMillis(), MotionEvent.ACTION_DOWN , 0, 0, 0));
                yourEditText.dispatchTouchEvent(MotionEvent.obtain(SystemClock.uptimeMillis(), SystemClock.uptimeMillis(), MotionEvent.ACTION_UP , 0, 0, 0));                       
            }
        }, 200);

        prefs = getSharedPreferences(prefName, MODE_PRIVATE);
        
        // Restore the saved strName string
        strName.setText(prefs.getString(NAME_KEY, ""));
        
    }
    
}
